#----------------------------------------------------------------------------bh-
# This RPM .spec file is part of the OpenHPC project.
#
# It may have been modified from the default version supplied by the underlying
# release package (if available) in order to apply patches, perform customized
# build/install configurations, and supply additional files to support
# desired integration conventions.
#
#----------------------------------------------------------------------------eh-

# OpenCoarrays library that is is dependent on compiler toolchain and MPI
%define ohpc_compiler_dependent 1
%include %{_sourcedir}/OHPC_macros


# Base package name
%define pname impi-f90-modules
%define PNAME %(echo %{pname} | tr [a-z] [A-Z])

Name:           %{pname}-%{compiler_family}%{PROJ_DELIM}
Summary:        Intel MPI bindings for GCC 8
License:        Intel Simplified Software License (Version January 2018)
Group:          %{PROJ_NAME}/parallel-libs
Version:        1.0
Release:        15.4.ohpc.1.3.6
Source0:        intel-mpi-binding-kit.tar.gz
Requires:       lmod%{PROJ_DELIM} >= 7.6.1

#!BuildIgnore: post-build-checks

# Default library install path
Prefix: /opt/intel 
%define install_path /opt/intel/compilers_and_libraries_2018.3.222/linux/mpi/include64/gfortran/8.1.0

%description
Intel MPI bindings for GCC 8


%prep
%setup -q -n f90


%build
# OpenHPC compiler/mpi designation
%ohpc_setup_compiler
. /opt/intel/compilers_and_libraries_2018.3.222/linux/mpi/intel64/bin/mpivars.sh

export MPI_INST=${I_MPI_ROOT}
export F90=gfortran
make

%install
mkdir -p %{buildroot}%install_path
cp intel64/include/pgf/* %{buildroot}%install_path

%files
%{install_path}
